import {Injectable} from '@angular/core';

/**
 * 全局变量
 */

@Injectable()
export class GlobalData {

    private _videoNum: number = 1; // 播放器状态
    private _token: string;
    private _userObj: any;
    private _area: any;


    get videoNum(): number {
        return this._videoNum;
    }

    set videoNum(value: number) {
        this._videoNum = value;
    }

    //token
    get token(): string {
        return this._token;
    }

    set token(value: string) {
        this._token = value;
    }

    //用户信息
    get userObj(): any {
        return this._userObj;
    }

    set userObj(value: any) {
        this._userObj = value;
    }

    //区属or市属
    get area(): any {
        return this._area;
    }

    set area(value: any) {
        this._area = value;
    }

}
